#### spawn (1 of 7 overloads)

Start a new stackful coroutine, calling the specified handler when it completes.

    template<
        typename Function>
    void spawn(
        Function && function,
        const boost::coroutines::attributes & attributes = boost::coroutines::attributes());

This function is used to launch a new coroutine.

###### Parameters

function

  The coroutine function. The function must have the signature:

      void function(basic_yield_context<Handler> yield);

attributes

  Boost.Coroutine attributes used to customise the coroutine.